[Stable Update] 2018-11-02 - Pamac, ICU, XFCE, Deepin, Gnome

update
stable

#1

Hi community,

Welcome to another stable update. So what do we have with this one?

  • Linux418 and linux419 now use CFQ as default scheduler
  • Pamac is now at v7.2.2
  • Pamac-Dev introduces following features:
    • introduce parallel downloads with an option to set max parallel downloads
    • dialog to choose opt deps
    • dialog to import the required PGP keys when building a package from AUR
    • option to check updates of AUR VCS packages (-git, -svn,…)
    • cli now follows /etc/pamac.conf (no need to use --aur option if AUR support is enabled in pamac.conf)
    • “checkupdates” action in cli now reports AUR outofdate packages (if check AUR updates is enabled)
    • “search” action in cli now search in dbs and in AUR at the same time (if AUR support is enabled)
  • The icu rebuild got finished and all packages depending on it got rebuilt
  • We added new packages to XFCE-GTK3, Deepin and Gnome
  • The usual upstream and python updates

We hope with all these changes Manjaro to be more efficient for you all.


Current supported Kernels

  • linux316 3.16.59
  • linux318 3.18.124 [EOL]
  • linux44 4.4.162
  • linux49 4.9.135
  • linux414 4.14.78
  • linux417 4.17.19 [EOL]
  • linux418 4.18.16
  • linux419 4.19.0
  • linux414-rt 4.14.71_rt44
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.12_rt7-1

Package Updates (Wed Oct 31 07:29:17 CET 2018)

  • stable community x86_64: 308 new and 307 removed package(s)
  • stable core x86_64: 10 new and 11 removed package(s)
  • stable extra x86_64: 138 new and 130 removed package(s)
  • stable multilib x86_64: 11 new and 6 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro  3.2.18.9.20181012-1              3.3.0-1
                firefox-kde-opensuse               63.0-1                    -
                           gimp-gtk3             2.99.1-2             2.99.1-3
                    matcha-gtk-theme           20181021-3           20181101-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                                 0ad                a23-5                a23-6
                             aegisub             3.2.2-29             3.2.2-30
                        android-udev           20181026-1           20181030-1
                               bazel             0.18.0-1             0.19.0-1
                         bluegriffon                3.1-2                3.1-3
                 bluegriffon-i18n-cs                3.1-2                3.1-3
                 bluegriffon-i18n-de                3.1-2                3.1-3
              bluegriffon-i18n-es-es                3.1-2                3.1-3
                 bluegriffon-i18n-fi                3.1-2                3.1-3
                 bluegriffon-i18n-fr                3.1-2                3.1-3
                 bluegriffon-i18n-gl                3.1-2                3.1-3
                 bluegriffon-i18n-he                3.1-2                3.1-3
                 bluegriffon-i18n-hu                3.1-2                3.1-3
                 bluegriffon-i18n-it                3.1-2                3.1-3
                 bluegriffon-i18n-ja                3.1-2                3.1-3
                 bluegriffon-i18n-ko                3.1-2                3.1-3
                 bluegriffon-i18n-nl                3.1-2                3.1-3
                 bluegriffon-i18n-pl                3.1-2                3.1-3
                 bluegriffon-i18n-ru                3.1-2                3.1-3
                 bluegriffon-i18n-sl                3.1-2                3.1-3
                 bluegriffon-i18n-sr                3.1-2                3.1-3
              bluegriffon-i18n-sv-se                3.1-2                3.1-3
              bluegriffon-i18n-zh-cn                3.1-2                3.1-3
              bluegriffon-i18n-zh-tw                3.1-2                3.1-3
                       cabal-install            2.4.0.0-3            2.4.0.0-4
                             calibre             3.33.1-1             3.33.1-2
                             compton                2.0-2                3.0-2
                             couchdb              2.2.0-2              2.2.0-3
                            cppcheck               1.84-1               1.85-1
                               darcs            2.14.1-77            2.14.1-78
                                 dee              1.2.7-3              1.2.7-4
                 deepin-desktop-base        1:2018.7.23-1       1:2018.10.29-1
              deepin-desktop-schemas  3.2.18.9.20181012-1              3.3.0-1
                 deepin-file-manager            1:4.6.9-1            1:4.6.9-2
                     deepin-launcher              4.5.0-1              4.5.0-2
                        deepin-movie           1:3.2.11-2           1:3.2.13-1
                        deepin-music            3.1.8.5-1            3.1.8.5-2
                         dns-lexicon              2.7.9-1             2.7.11-1
                             dovecot              2.3.3-1              2.3.3-2
                              dwdiff              2.1.1-4              2.1.1-5
                            ejabberd              18.09-1              18.09-2
                           flickcurl               1.26-5               1.26-6
                           fwbuilder              5.3.7-2              5.3.7-3
                       gambas3-devel             3.11.4-1             3.11.4-2
                     gambas3-gb-args             3.11.4-1             3.11.4-2
                    gambas3-gb-cairo             3.11.4-1             3.11.4-2
                    gambas3-gb-chart             3.11.4-1             3.11.4-2
                  gambas3-gb-clipper             3.11.4-1             3.11.4-2
                  gambas3-gb-complex             3.11.4-1             3.11.4-2
                 gambas3-gb-compress             3.11.4-1             3.11.4-2
                    gambas3-gb-crypt             3.11.4-1             3.11.4-2
                     gambas3-gb-data             3.11.4-1             3.11.4-2
                       gambas3-gb-db             3.11.4-1             3.11.4-2
                  gambas3-gb-db-form             3.11.4-1             3.11.4-2
                 gambas3-gb-db-mysql             3.11.4-1             3.11.4-2
                  gambas3-gb-db-odbc             3.11.4-1             3.11.4-2
            gambas3-gb-db-postgresql             3.11.4-1             3.11.4-2
               gambas3-gb-db-sqlite3             3.11.4-1             3.11.4-2
                     gambas3-gb-dbus             3.11.4-1             3.11.4-2
                  gambas3-gb-desktop             3.11.4-1             3.11.4-2
            gambas3-gb-desktop-gnome             3.11.4-1             3.11.4-2
              gambas3-gb-desktop-x11             3.11.4-1             3.11.4-2
           gambas3-gb-eval-highlight             3.11.4-1             3.11.4-2
                     gambas3-gb-form             3.11.4-1             3.11.4-2
              gambas3-gb-form-dialog             3.11.4-1             3.11.4-2
              gambas3-gb-form-editor             3.11.4-1             3.11.4-2
                 gambas3-gb-form-mdi             3.11.4-1             3.11.4-2
               gambas3-gb-form-stock             3.11.4-1             3.11.4-2
            gambas3-gb-form-terminal             3.11.4-1             3.11.4-2
                      gambas3-gb-gmp             3.11.4-1             3.11.4-2
                      gambas3-gb-gsl             3.11.4-1             3.11.4-2
                      gambas3-gb-gtk             3.11.4-1             3.11.4-2
               gambas3-gb-gtk-opengl             3.11.4-1             3.11.4-2
                     gambas3-gb-gtk3             3.11.4-1             3.11.4-2
                    gambas3-gb-httpd             3.11.4-1             3.11.4-2
                    gambas3-gb-image             3.11.4-1             3.11.4-2
             gambas3-gb-image-effect             3.11.4-1             3.11.4-2
              gambas3-gb-image-imlib             3.11.4-1             3.11.4-2
                 gambas3-gb-image-io             3.11.4-1             3.11.4-2
                  gambas3-gb-inotify             3.11.4-1             3.11.4-2
                   gambas3-gb-libxml             3.11.4-1             3.11.4-2
                  gambas3-gb-logging             3.11.4-1             3.11.4-2
                      gambas3-gb-map             3.11.4-1             3.11.4-2
                 gambas3-gb-markdown             3.11.4-1             3.11.4-2
                    gambas3-gb-media             3.11.4-1             3.11.4-2
               gambas3-gb-media-form             3.11.4-1             3.11.4-2
                gambas3-gb-memcached             3.11.4-1             3.11.4-2
                     gambas3-gb-mime             3.11.4-1             3.11.4-2
                    gambas3-gb-mysql             3.11.4-1             3.11.4-2
                  gambas3-gb-ncurses             3.11.4-1             3.11.4-2
                      gambas3-gb-net             3.11.4-1             3.11.4-2
                 gambas3-gb-net-curl             3.11.4-1             3.11.4-2
                 gambas3-gb-net-pop3             3.11.4-1             3.11.4-2
                 gambas3-gb-net-smtp             3.11.4-1             3.11.4-2
                   gambas3-gb-openal             3.11.4-1             3.11.4-2
                   gambas3-gb-opengl             3.11.4-1             3.11.4-2
              gambas3-gb-opengl-glsl             3.11.4-1             3.11.4-2
               gambas3-gb-opengl-glu             3.11.4-1             3.11.4-2
               gambas3-gb-opengl-sge             3.11.4-1             3.11.4-2
                  gambas3-gb-openssl             3.11.4-1             3.11.4-2
                   gambas3-gb-option             3.11.4-1             3.11.4-2
                     gambas3-gb-pcre             3.11.4-1             3.11.4-2
                      gambas3-gb-pdf             3.11.4-1             3.11.4-2
                      gambas3-gb-qt4             3.11.4-1             3.11.4-2
                  gambas3-gb-qt4-ext             3.11.4-1             3.11.4-2
                      gambas3-gb-qt5             3.11.4-1             3.11.4-2
               gambas3-gb-qt5-opengl             3.11.4-1             3.11.4-2
               gambas3-gb-qt5-webkit             3.11.4-1             3.11.4-2
                   gambas3-gb-report             3.11.4-1             3.11.4-2
                  gambas3-gb-scanner             3.11.4-1             3.11.4-2
                      gambas3-gb-sdl             3.11.4-1             3.11.4-2
                gambas3-gb-sdl-sound             3.11.4-1             3.11.4-2
                     gambas3-gb-sdl2             3.11.4-1             3.11.4-2
               gambas3-gb-sdl2-audio             3.11.4-1             3.11.4-2
                 gambas3-gb-settings             3.11.4-1             3.11.4-2
                   gambas3-gb-signal             3.11.4-1             3.11.4-2
                     gambas3-gb-term             3.11.4-1             3.11.4-2
                     gambas3-gb-util             3.11.4-1             3.11.4-2
                 gambas3-gb-util-web             3.11.4-1             3.11.4-2
                      gambas3-gb-v4l             3.11.4-1             3.11.4-2
                       gambas3-gb-vb             3.11.4-1             3.11.4-2
                      gambas3-gb-web             3.11.4-1             3.11.4-2
                 gambas3-gb-web-feed             3.11.4-1             3.11.4-2
                 gambas3-gb-web-form             3.11.4-1             3.11.4-2
                      gambas3-gb-xml             3.11.4-1             3.11.4-2
                 gambas3-gb-xml-html             3.11.4-1             3.11.4-2
                  gambas3-gb-xml-rpc             3.11.4-1             3.11.4-2
                 gambas3-gb-xml-xslt             3.11.4-1             3.11.4-2
                         gambas3-ide             3.11.4-1             3.11.4-2
                     gambas3-runtime             3.11.4-1             3.11.4-2
                      gambas3-script             3.11.4-1             3.11.4-2
                             gap-4.8             4.8.10-3             4.8.10-4
                        gap-4.8-data             4.8.10-3             4.8.10-4
                         gap-4.8-doc             4.8.10-3             4.8.10-4
                    gap-4.8-packages             4.8.10-3             4.8.10-4
                                gdal              2.3.2-3              2.3.2-4
                    gimp-plugin-gmic              2.4.0-1              2.4.1-1
                           git-annex        6.20181011-14        6.20181011-15
                              gitlab             11.4.0-1             11.4.3-2
                       gitlab-gitaly            0.126.0-1            0.127.0-1
                       gitlab-runner             11.4.0-1             11.4.2-1
                        gitlab-shell            2:8.4.0-2            2:8.4.1-1
                           glusterfs              1:5.0-1              1:5.0-2
                                gmic              2.4.0-1              2.4.1-1
                             gnucash                3.2-5                3.2-6
                        gnustep-base             1.25.1-3             1.25.1-4
                          gwakeonlan              0.6.2-5              0.6.3-1
                haskell-authenticate            1.3.4-197            1.3.4-198
                         haskell-aws             0.20-105             0.20-106
                   haskell-criterion            1.5.2.0-6            1.5.2.0-7
                      haskell-hakyll          4.12.4.0-57          4.12.4.0-59
                 haskell-hjsonschema            1.9.0-113            1.9.0-114
                        haskell-http         4000.3.12-75         4000.3.12-76
                haskell-http-conduit             2.3.2-69             2.3.2-70
                       haskell-http2             1.6.3-31              1.6.4-1
                   haskell-js-jquery            3.3.1-145            3.3.1-146
              haskell-servant-server         0.13.0.1-112         0.13.0.1-113
                       haskell-shake               0.17-4               0.17-5
                    haskell-text-icu           0.7.0.1-20           0.7.0.1-21
              haskell-wai-app-static          3.1.6.2-128          3.1.6.2-129
          haskell-wai-handler-launch           3.0.2.4-88           3.0.2.4-89
                        haskell-warp            3.2.25-24            3.2.25-25
                    haskell-warp-tls          3.2.4.3-104          3.2.4.3-105
                       haskell-yesod            1.6.0-153            1.6.0-154
                  haskell-yesod-auth           1.6.4.1-43              1.6.5-2
                  haskell-yesod-core            1.6.8.1-2            1.6.8.1-3
               haskell-yesod-default            1.2.0-420            1.2.0-421
                  haskell-yesod-form              1.6.3-3              1.6.3-4
            haskell-yesod-persistent            1.6.0.1-7            1.6.0.1-8
                haskell-yesod-static            1.6.0.1-1            1.6.0.1-2
                  haskell-yesod-test            1.6.5.1-8            1.6.5.1-9
                         hledger-api            1.11.1-12            1.11.1-13
                         hledger-web            1.11.1-22            1.11.1-23
                              hoogle         5.0.17.3-115         5.0.17.3-116
                                hugo             0.49.2-1               0.50-1
                             ibus-qt             1.3.3-11             1.3.3-12
                              igraph              0.7.1-8              0.7.1-9
                             jenkins              2.148-1              2.149-1
                                jmol           14.29.26-1           14.29.27-1
                                josm              14289-1              14382-1
                               jsmol           14.29.26-1           14.29.27-1
                             kakoune         2018.10.27-2         2018.10.27-3
                             kbibtex            1:0.8.1-2            1:0.8.1-3
                              kotlin             1.2.71-1              1.3.0-1
                         kphotoalbum                5.3-1                5.4-1
                   krita-plugin-gmic              2.4.0-1              2.4.1-1
                              ledger              3.1.1-8              3.1.1-9
                      libmodsecurity            1:3.0.2-2            1:3.0.2-3
                            lollypop            0.9.609-1            0.9.610-1
                     lollypop-portal              0.9.7-1                    -
                           mailutils                3.4-3                3.5-1
                                maim              5.5.2-2              5.5.2-3
                              mapnik             3.0.21-1             3.0.21-2
                      mongo-c-driver             1.13.0-1             1.13.0-2
                     mysql-workbench             8.0.13-1             8.0.13-2
                             ncmpcpp              0.8.2-4              0.8.2-5
                            netbeans                9.0-1                9.0-3
                      nginx-mainline             1.15.4-1             1.15.5-1
                              nodejs             11.0.0-1             11.0.0-2
                    nodejs-lts-boron             6.14.4-1             6.14.4-2
                   nodejs-lts-carbon             8.12.0-1             8.12.0-2
                        oath-toolkit              2.6.2-4              2.6.2-5
                        ocaml-biniou              1.2.0-2              1.2.0-3
                       open-vm-tools           6:10.3.0-2           6:10.3.0-3
                             openttd              1.8.0-2              1.8.0-3
                         openvswitch             2.10.0-1             2.10.1-1
                              pandoc             2.3.1-20             2.3.1-21
                     pandoc-citeproc             0.14.8-7             0.14.8-9
                     pandoc-crossref           0.3.3.0-25           0.3.3.0-26
                            pdf2djvu             0.9.10-1             0.9.10-2
                     perl-class-load               0.24-2               0.25-1
              perl-datetime-timezone               2.19-1               2.21-1
               perl-email-address-xs               1.01-2               1.04-1
                     perl-file-slurp            9999.19-4            9999.23-1
                  perl-html-scrubber               0.15-4               0.17-1
                      perl-html-tree               5.06-2               5.07-1
                         perl-io-all               0.86-4               0.87-1
                       perl-io-pager               0.36-4               0.40-1
                         perl-io-tee               0.64-8               0.65-1
                        perl-json-xs               3.03-5               3.03-6
                       perl-mail-box              3.003-1              3.005-1
                   perl-mail-message              3.003-2              3.007-1
                    perl-math-base85                0.2-9                0.4-1
                 perl-module-runtime              0.014-4              0.016-1
                perl-params-classify             0.013-11              0.015-1
      perl-params-validationcompiler               0.27-2               0.30-1
                  perl-regexp-common         2016010801-5         2017060201-1
                      perl-role-tiny           2.000005-4           2.000006-1
                      perl-soap-lite               1.27-2               1.27-3
                      perl-sub-quote           2.003001-4           2.005001-1
                      perl-test-trap              0.3.3-2              0.3.4-1
                  perl-universal-isa         1.20150614-2         1.20171012-1
                   perl-yaml-libyaml               0.69-2               0.74-1
                         php-mongodb              1.5.3-2              1.5.3-3
                              poedit              1:2.2-1              1:2.2-2
                           postgrest           0.5.0.0-58           0.5.0.0-59
                           pulseview              0.4.0-5              0.4.1-1
                      python-awkward              0.4.1-1              0.4.2-1
                        python-baron                0.7-1                0.8-1
                      python-cypari2              1.3.1-1              2.0.0-1
                     python-dateutil              2.7.4-1              2.7.5-1
                       python-future             0.16.0-3             0.17.0-1
                         python-gdal              2.3.2-3              2.3.2-4
                   python-hypothesis             3.81.0-1             3.82.1-1
             python-jsonrpclib-pelix              0.3.1-3              0.3.2-1
                      python-keyring             15.2.0-1             16.0.0-1
                   python-matplotlib              2.2.3-2              3.0.1-1
                      python-netcdf4              1.4.1-3              1.4.2-1
              python-netcdf4-openmpi              1.4.1-3              1.4.2-1
                        python-pyicu                2.2-1                2.2-2
                         python-pytz             2018.5-2             2018.7-1
              python-readme-renderer               23.0-1               24.0-1
                     python-redbaron              0.7.1-1                0.8-1
                    python-stevedore             1.29.0-1             1.30.0-1
                        python-sword              1.8.1-3              1.8.1-4
                python-uncertainties              3.0.2-2              3.0.3-1
                     python2-cypari2              1.3.1-1              2.0.0-1
                    python2-dateutil              2.7.4-1              2.7.5-1
                      python2-future             0.16.0-3             0.17.0-1
                        python2-gdal              2.3.2-3              2.3.2-4
                  python2-hypothesis             3.81.0-1             3.82.1-1
            python2-jsonrpclib-pelix              0.3.1-3              0.3.2-1
                     python2-keyring             15.2.0-1             16.0.0-1
                  python2-matplotlib              2.2.3-2              2.2.3-3
                     python2-netcdf4              1.4.1-3              1.4.2-1
             python2-netcdf4-openmpi              1.4.1-3              1.4.2-1
                       python2-pyicu                2.2-1                2.2-2
                        python2-pytz             2018.5-2             2018.7-1
             python2-readme-renderer               23.0-1               24.0-1
                   python2-stevedore             1.29.0-1             1.30.0-1
                       python2-sword              1.8.1-3              1.8.1-4
               python2-uncertainties              3.0.2-2              3.0.3-1
                                pyzo              4.6.0-3              4.6.1-1
                                  qd             2.3.21-1             2.3.22-1
                        riot-desktop             0.17.2-1             0.17.3-1
                            riot-web             0.17.2-1             0.17.3-1
                              rmlint              2.7.0-2              2.8.0-1
                     rmlint-shredder              2.7.0-2              2.8.0-1
                       roundcubemail              1.3.7-1              1.3.8-1
                           ruby-mail              2.7.0-3              2.7.1-1
                            sagemath                8.4-1                8.4-2
                    sagemath-jupyter                8.4-1                8.4-2
                             scribus              1.5.4-3              1.5.4-4
                          shellcheck            0.5.0-135            0.5.0-136
                                slop                7.4-2                7.4-3
                      squashfs-tools                4.3-5                4.3-6
                               squid                4.3-2                4.4-1
                               stack              1.9.1-7              1.9.1-8
                               sword              1.8.1-3              1.8.1-4
                      tamarin-prover            1.4.0-132            1.4.0-133
                           tarantool         2.0.4.r497-2         2.0.4.r497-3
                           tesseract            3.05.01-6            3.05.01-7
                          typescript              3.1.3-1              3.1.4-1
                          unarchiver             1.10.1-4             1.10.1-5
                           uriparser              0.8.6-1              0.9.0-1
                           widelands                19-14                19-15
                           wxsqlite3              4.0.4-1              4.2.0-1
                              xmobar              0.27-45              0.27-46
                                yarn             1.10.1-1             1.12.1-1
                                 yaz             5.27.0-1             5.27.0-2
                          youtube-dl         2018.10.05-1         2018.10.29-1
                                zart              2.4.0-1              2.4.1-1
                                 znc              1.7.1-5              1.7.1-6
          haskell-network-byte-order                    -            0.0.0.0-1
                       libimagequant                    -             2.12.2-1
                            pngquant                    -             2.12.2-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                                grub             2.03.1-1             2.03.1-2
                            linux418            4.18.16-1            4.18.16-2
                    linux418-headers            4.18.16-1            4.18.16-2
                            linux419             4.19.0-3             4.19.0-4
                    linux419-headers             4.19.0-3             4.19.0-4
                      pacman-mirrors             4.12.6-1             4.14.0-3
                  pacman-mirrors-dev           4.12.912-1                    -


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                          cryptsetup              2.0.4-1              2.0.5-1
                                 icu               62.1-1               63.1-2
                           libgcrypt              1.8.3-1              1.8.4-1
                              tzdata              2018f-2              2018g-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                               boxit              2.1.2-5              2.1.2-6
                            boxit-32              2.1.2-4              2.1.2-5
                        boxit-server              2.1.2-5              2.1.2-6
                             firefox             63.0.1-0             63.0.1-1
                  linux418-acpi_call             1.1.0-10             1.1.0-11
                   linux418-bbswitch               0.8-10               0.8-11
                linux418-broadcom-wl      6.30.223.271-10      6.30.223.271-11
                   linux418-catalyst     1:15.201.1151-10     1:15.201.1151-11
                linux418-ndiswrapper              1.61-10              1.61-11
                     linux418-nvidia           1:410.73-1           1:410.73-2
               linux418-nvidia-340xx           340.107-10           340.107-11
               linux418-nvidia-390xx            390.87-10            390.87-11
                   linux418-nvidiabl              0.88-10              0.88-11
                      linux418-r8168          8.045.08-10          8.045.08-11
                        linux418-spl             0.7.11-3             0.7.11-4
                   linux418-tp_smapi              0.41-10              0.41-11
                linux418-vhba-module          20161009-10          20161009-11
   linux418-virtualbox-guest-modules             5.2.20-2             5.2.20-3
    linux418-virtualbox-host-modules             5.2.20-2             5.2.20-3
                        linux418-zfs             0.7.11-3             0.7.11-4
            manjaro-settings-manager              0.5.5-1              0.5.5-2
        manjaro-settings-manager-kcm              0.5.5-1              0.5.5-2
  manjaro-settings-manager-knotifier              0.5.5-1              0.5.5-2
   manjaro-settings-manager-notifier              0.5.5-1              0.5.5-2
                               pamac              7.2.1-3              7.2.2-1
                           pamac-dev              7.2.0-1         7.3.0beta1-1
         pamac-dev-tray-appindicator              7.2.0-1         7.3.0beta1-1
             pamac-tray-appindicator              7.2.1-2              7.2.2-1
                            qt5-base           5.11.2-2.1           5.11.2-2.2
             qt5-xcb-private-headers           5.11.2-2.1           5.11.2-2.2
                         thunar-gtk3              1.8.2-3              1.8.2-4
                         thunderbird             60.3.0-0           60.3.0-0.1
                    xfce4-panel-gtk3             4.13.3-4             4.13.3-5
                 xfce4-settings-gtk3             4.13.5-3             4.13.5-4
                         xfconf-gtk3             4.13.5-2             4.13.6-1
                     boxit-32-server                    -              2.1.2-5
                                gegl                    -             0.4.12-0
                   libva-mesa-driver                    -             18.2.4-0
                                mesa                    -             18.2.4-0
                          mesa-vdpau                    -             18.2.4-0
                         opencl-mesa                    -             18.2.4-0
                        vulkan-intel                    -             18.2.4-0
                       vulkan-radeon                    -             18.2.4-0


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                                bind             9.13.3-2             9.13.3-3
                          bind-tools             9.13.3-2             9.13.3-3
                               boost             1.68.0-1             1.68.0-2
                          boost-libs             1.68.0-1             1.68.0-2
                              brltty                5.6-4                5.6-5
                            calligra              3.1.0-9             3.1.0-10
                              cantor            18.08.2-1            18.08.2-2
                            chromium       70.0.3538.77-1       70.0.3538.77-2
                        cups-filters             1.21.3-1             1.21.3-2
                            epiphany             3.30.2-1             3.30.2-2
               evolution-data-server             3.30.2-1             3.30.2-2
                             firefox               63.0-1               63.0-2
                             getmail                5.6-1                5.7-1
                     gnome-user-docs             3.30.1-1             3.30.2-1
                      graphicsmagick             1.3.30-3             1.3.30-4
                            harfbuzz              2.0.2-1              2.1.0-1
                        harfbuzz-icu              2.0.2-1              2.1.0-1
                            inkscape             0.92.3-4             0.92.3-5
                                 kdb              3.1.0-3              3.1.0-4
                          kitinerary            18.08.2-1            18.08.2-2
                              libcdr              0.1.4-4              0.1.4-5
                           libe-book              0.1.3-3              0.1.3-4
                            libevdev              1.5.9-1              1.6.0-1
                         libfbclient        2.5.8.27089-2        2.5.8.27089-3
                             libical              3.0.4-1              3.0.4-2
                            libmspub              0.1.4-3              0.1.4-4
                      libphonenumber             8.9.12-2             8.9.12-3
                        libqalculate              2.6.2-1              2.8.0-2
                              libqxp              0.0.1-3              0.0.1-4
                   libreoffice-fresh              6.1.2-1              6.1.2-2
               libreoffice-fresh-sdk              6.1.2-1              6.1.2-2
                   libreoffice-still              6.0.6-3              6.0.6-4
               libreoffice-still-sdk              6.0.6-3              6.0.6-4
                           libsigc++             2.10.0-1             2.10.1-1
                      libsigc++-docs             2.10.0-1             2.10.1-1
                              libssh              0.8.4-1              0.8.5-1
                         libssh-docs              0.8.4-1              0.8.5-1
                          libsynctex         2018.47465-3         2018.47465-4
                            libvisio              0.1.6-4              0.1.6-5
                             libxml2              2.9.8-5              2.9.8-6
                              libzmf              0.0.2-4              0.0.2-5
                            m17n-lib              1.8.0-3              1.8.0-4
                                 mpd            0.20.21-1            0.20.23-1
                              mutter             3.30.1-13.30.1+8+g1abab3fe2-1
                            perl-dbi              1.641-2              1.642-1
                          perl-error            0.17026-2            0.17027-1
                                 php             7.2.11-2             7.2.11-3
                          php-apache             7.2.11-2             7.2.11-3
                             php-cgi             7.2.11-2             7.2.11-3
                           php-dblib             7.2.11-2             7.2.11-3
                           php-embed             7.2.11-2             7.2.11-3
                         php-enchant             7.2.11-2             7.2.11-3
                             php-fpm             7.2.11-2             7.2.11-3
                              php-gd             7.2.11-2             7.2.11-3
                            php-imap             7.2.11-2             7.2.11-3
                            php-intl             7.2.11-2             7.2.11-3
                            php-odbc             7.2.11-2             7.2.11-3
                           php-pgsql             7.2.11-2             7.2.11-3
                          php-phpdbg             7.2.11-2             7.2.11-3
                          php-pspell             7.2.11-2             7.2.11-3
                            php-snmp             7.2.11-2             7.2.11-3
                          php-sodium             7.2.11-2             7.2.11-3
                          php-sqlite             7.2.11-2             7.2.11-3
                            php-tidy             7.2.11-2             7.2.11-3
                             php-xsl             7.2.11-2             7.2.11-3
              plasma-wayland-session             5.14.2-1             5.14.2-2
                    plasma-workspace             5.14.2-1             5.14.2-2
                              polari             3.30.1-1             3.30.2-1
                             poppler             0.67.0-1             0.70.1-1
                        poppler-glib             0.67.0-1             0.70.1-1
                         poppler-qt5             0.67.0-1             0.70.1-1
                             postfix              3.3.1-2              3.3.1-3
                          postgresql               10.5-2               10.5-3
                     postgresql-docs               10.5-2               10.5-3
                     postgresql-libs               10.5-2               10.5-3
                       qalculate-gtk              2.6.2-1              2.8.0-1
                                 qt4             4.8.7-25             4.8.7-26
                            qt5-base             5.11.2-1             5.11.2-2
                        qt5-location             5.11.2-1             5.11.2-2
                       qt5-webengine             5.11.2-1             5.11.2-2
                          qt5-webkit     5.212.0alpha2-20     5.212.0alpha2-21
             qt5-xcb-private-headers             5.11.2-1             5.11.2-2
                                   r              3.5.1-2              3.5.1-3
                              raptor             2.0.15-9            2.0.15-10
                              recode                3.7-1              3.7.1-1
                                sdl2             2.0.8-10             2.0.8-11
                                step            18.08.2-1            18.08.2-2
                         texlive-bin         2018.47465-3         2018.47465-4
                         thunderbird             60.2.1-1             60.2.1-2
                             tracker              2.1.5-2              2.1.5-3
                      tracker-miners              2.1.5-1              2.1.5-2
                           v4l-utils             1.16.0-1             1.16.1-1
                          webkit2gtk             2.22.2-1             2.22.2-2
                xfce4-clipman-plugin              1.4.2-2              1.4.3-1
                       xfce4-notifyd              0.4.2-1              0.4.3-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver                    -             18.2.4-0
                          lib32-mesa                    -             18.2.4-0
                    lib32-mesa-vdpau                    -             18.2.4-0
                  lib32-vulkan-intel                    -             18.2.4-0
                 lib32-vulkan-radeon                    -             18.2.4-0


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-28           2018-11-02
-------------------------------------------------------------------------------
                      lib32-harfbuzz              2.0.2-1              2.1.0-1
                  lib32-harfbuzz-icu              2.0.2-1              2.1.0-1
                           lib32-icu               62.1-1               63.1-2
                       lib32-libxml2              2.9.8-4              2.9.8-5
                          lib32-sdl2              2.0.8-9             2.0.8-10
                     lib32-v4l-utils             1.16.0-1             1.16.1-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


The Iconic Spitfire: Now Quad-Core!

jpg%3Alarge

Visit StationX now!


Manjaro v18.0 released!

If you are curious about the latest Manjaro-Illyria 18.0 release, you now have the opportunity to download XFCE Edition with the latest 4.13 packages, aswell as our most recent styling efforts. Our KDE fans may try our KDE Edition with the latest KDE v5.14 instead. And our GNOME fans may try our Gnome Edition with the latest GNOME v3.30.


Changes made to pamac

With v7.2.2, Pamac has the ability to edit build files in both pamac-gtk and pamac-cli.

But it’s not the only one improvement, pamac-cli is now a complete AUR helper and an advanced build tool:

  • Tracking build files:
    It now keeps all build files in the configured pamac build dir that is now
    /var/tmp/pamac-build-<username> by default.
    This way it can track when a new version is available from AUR or if changes were made by yourself and propose you to view the diff.

  • Build tool:
    Pamac now has a clone action and build has a --no-clone option. They permit to ease building a package when you want to do important manual modifications.
    How to use it ?
    If a standard pamac build foo does all automatically you can do it step by step:
    Clone the build files with all dependencies : pamac clone --recurse foo
    Edit them as you want, then : pamac build --no-clone foo
    Or go the foo directory and run: pamac build --no-clone

  • Development tool:
    You can even create your own PKGBUILD files and build them with:
    pamac build --no-clone --builddir /my/build/dir <pkgname>
    or in the PKGBUILD directory:
    pamac build --no-clone
    If there are dependencies to build, all files must be in the same directory with one subdir per package.
    All dependencies will be checked and the correct build order will be found.

Changes made to grub package

1. What is the GRUB hidden menu change?

The main motivation for adding this is, to get to a fully flickerfree boot.

2. How to enable hidden GRUB menu?

On new Manjaro v18.0 installs this will be enabled by default. If your system has been upgraded to v18.0 from an older release, you can enable it by running these commands:

  • update your system to get latest systemd
  • install linux418 or linux419: sudo pacman -S linux41[x]
  • check that you have quiet in /etc/default/grub under GRUB_CMDLINE_LINUX_DEFAULT or GRUB_CMDLINE_LINUX and comment out any GRUB_BACKGROUND settings.
  • sed -i -e 's|fsck||g' /etc/mkinitcpio.conf && sudo pacman -S systemd-fsck-silent
  • You may want to consider early kms and fastboot for intel hardware
  • sudo mkinitcpio -P
  • sudo grub-editenv - set menu_auto_hide=1
  • sudo update-grub
  • reboot your system

Note the grub-update will overwrite any manual changes you’ve made to your grub.cfg (normally no manually changes are done to this file).

If your system has Windows on it, but you boot it only once a year so you would still like to hide the GRUB menu, you can tell GRUB to ignore the presence of Windows by running:

sudo grub-editenv - set menu_auto_hide=2

3. How to disable hidden GRUB menu

To permanently disable the auto-hide feature run:

sudo grub-editenv - unset menu_auto_hide

That is it.

4.How to access the GRUB menu when hidden

If for some reason you need to access the GRUB menu while it is hidden there are multiple ways to get to it:

  1. While booting keep SHIFT pressed, usually you need to first press SHIFT when the vendor logo is shown by the firmware / when the firmware says e.g. “Press F2 to enter setup” if you press it earlier it may not be seen. Note this may not work on some machines.

  2. During boot press ESC or F8 while GRUB loads (simply press the key repeatedly directly after power on until you are in the menu).

  3. Force the previous boot to be considered failed:

    1. Press CTRL + ALT + DEL while booting so that the system reboots before hitting the display manager (lightdm, gdm, sddm)

    2. Press CTRL + ALT + F6 to switch away from your display manager, followed by CTRL + ALT + DEL.

    3. Press the power-button for 4 seconds to force the machine off. Either of these will cause the boot_success grub_env flag to not get set and the menu will show the next boot.

    4. Manually set the menu show once flag by running: "grub-set-bootflag menu_show_once" This will cause the menu to show for 60 seconds before continuing with the default boot-option.

4. When is a boot considered successful ?

The boot_success grub_env flag gets set when you login as a normal user and your session lasts at least 2 minutes.

So if you e.g. login, do something and then within 30 seconds type reboot in a terminal (instead of doing the reboot from the menu) then this will not count as a successful boot and the menu will show the next boot.


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed

I can’t open Nemo with elevated privileges (as root)

Workaround found: Use the dbus-x11 package instead of the regular dbus package. This package is available in the official repositories and provides dbus compiled without the --without-x option.

To replace dbus with dbus-x11 package, simply install dbus-x11 with your favorite package manager: dbus will be replaced by dbus-x11.

Pamac: “Failed to commit transaction - Transaction not prepared” at the end

So far, it has only been a false alarm: updates are applied successfully.


Items from previous update sets

AMD-Ucode introduction

Unless you’ve already done this previously, All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


Rebuilding fontconfig cache: failed to write cache

Please ignore this message. Upstream already works on a solution. More about the issue here.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn’t work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Installing glibc (2.28-4) breaks the dependency “glibc=2.27” required by lib32-glibc

Install the update either:

  • from terminal: sudo pacman -Syu or;
  • with Octopi instead of Pamac.

Something using Perl/Python/glibc broke

Rebuilds needed!

  • If it’s an AUR package, try to reinstall it from AUR. It most likely needs to be rebuilt.
  • If it’s a repo package, please report and check back regularly for updates.

I’ve lost a Thunderbird addon/feature

Thunderbird 60 disables incompatible addons by default. There’s an about:config switch should you want to force-enable the addon, but many addons simply will not work with the newer Quantum-based Thunderbird.

Read more about Thunderbird 60 here: Thunderbird 60


Firefox - WebGL not working anymore

You may try the following solution:

Open about:config and set security.sandbox.content.read_path_whitelist to /sys/.


libutf8proc>=2.1.1-3 update may require manual intervention

This should normally be automatically fixed via manjaro-system update.

The libutf8proc package prior to version 2.1.1-3 had an incorrect soname link. This has been fixed in 2.1.1-3, so the upgrade will need to overwrite the untracked soname link created by ldconfig. If you get an error

libutf8proc: /usr/lib/libutf8proc.so.2 exists in filesystem

when updating, use


pacman -Suy --overwrite usr/lib/libutf8proc.so.2

to perform the upgrade.


Pamac: “Invalid or corrupted package.”

If you receive an “Invalid or corrupted package.” error message with Pamac and if the details contains an output similar to the following:

Details
Synchronizing package databases...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180716-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180702-1 -> 20180716-1)...
==> Fix libutf8proc upgrade ...
resolving dependencies...
looking for conflicting packages...

Packages (1) libutf8proc-2.1.1-4

Total Download Size:   0.05 MiB
Total Installed Size:  0.32 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading libutf8proc-2.1.1-4-x86_64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
upgrading libutf8proc...
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Warning: lock file missing /var/lib/pacman/db.lck
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Error: could not open file /var/lib/pacman/local/libutf8proc-2.1.1-2/files: No such file or directory
Warning: could not fully load metadata for package libutf8proc-2.1.1-2

Failed to prepare transaction:
invalid or corrupted package

Try the following steps: close Pamac window first, then launch it again and start the update procedure again. It should continue from where it left off.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


#3

@philm can you update the gitlab with the new pkgbuild for manjaro-settings-manager?
The one present is for 0.5.4. I need to update it for ARM because of icu update.


#4

Tried this feature with 2 packages

  • ncurses5-compat-libs works and have
    validpgpkeys=(‘C52048C0C0748FEE227D47A2702353E0F7E48EDB’) # Thomas Dickey

  • wine-stable don’t work
    validpgpkeys=(5AC1A08B03BD7A313E0A955AF5E6E9EEB9461DD7
    DA23579A74D4AD9AF9D3F945CEFAC8EAAF17519D)

non quoted values might be the issue?


#5

Whisker Menu suddenly stopped during update, Execute restarted it.


#6

First manjaro update that crashed my system. During the update the system freezed. Screen freezed, no mouse movement possible, also Ctrl + Alt + F2 … F8 did nothing. So the computer completely freezed. After 5 minutes I took the power away to turn it off.
Since I had to do this during updates got installed, my system is not working anymore (Kernel Panic at boot).
I came from latest stable update to this.
The last package installing I did see during screen freeze was ‘libcdr’.
■■■■. Guess I will have to reinstall.

But to be frank I’m not sure if the cause is this update pack. I had other programs open (webbrowser, lollypop music player, Steam updating games, and maybe others which I do not remember).
Could also be the case I was just unlucky and got a random freeze. Or this update pack is broken. I’m not sure. Just wanted to share my experience so far.


#7

I assume you used either linux418 or linux419. There is a reason I switched the default scheduler back to CFQ with this update. You may have to use chroot and –overwrite ‘*’ to fix the issue.

It happens sometimes that a gtk3-plugin may crash during an update. Happens on my end also. However, it always worked after pressing execute.


#8

Thanks for explanation.


#9

Chroot in a live system into my installed one, correct?
But what commands to execute and where to pass the –overwrite ‘*’ ?

Yes I was using linux419.

Edit: Ok nvm, I just reinstalled.


#10

yes a issue , bad parse L499 with multi-lines arrays
(its a dev version)


#11

No issues noticed XFCE (GTK2) Kernel 4.19.x.


#12

XFCE, 4.19.0-4

Everything went smoothly! Thanks for all the hard work.


#13

Xfce still 4.12 version in this stable update :confused:


#14

One first small thing was that the updater froze. Luckily it got to normal in a few minutes. Second was this error:

Warning: could not get file information for usr/lib/modules/4.18.16-1-MANJARO/
Warning: could not get file information for usr/lib/modules/4.18.16-1-MANJARO/build/
Warning: could not get file information for usr/lib/modules/4.18.16-1-MANJARO/build/vmlinux
Warning: could not get file information for usr/lib/modules/4.18.16-1-MANJARO/extramodules

I cannot upload the entire error here so I added it to a text document on dropbox - https://www.dropbox.com/s/jc1z6sgxt0qn6ok/manjaro%20error?dl=0

Despite that, i rebooted and everything works fine so far. Using kernel419.


#15

What kind of issue should there be? I see no error in code. @guinux: did you check also unquoted entries?


#16

You need to install Xfce 4.13, if you wants it. There is in repos two groups for Xfce: Xfce and Xfce-gtk3 (the last one with Xfce 4.13). There is in repos Xfce 4.12 because Xfce 4.13 is still a development version.


#17

Updated via tty , no issues on KDE with 4.19 .


#18

Those will not automatically update to 4.13. Here are some instructions I wrote on the previous update thread to update Xfce to the new 4.13 gtk3 packages, as well as install/use the 18.0 themes.


#19

Good update. Qtile - Linux 4.19

Only these logs here:

E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: Could not read FW version
mei mei::55213584-9a29-4916-badf-0fb7ed682aeb:01: FW version command failed -5

#20

Why has firefox-kde-opensuse been moved to AUR?